NOTE: Mavericks is required for all iOS 8 installs. The District is purchasing licenses so that they can update all of the Sync-Stations. 
                                            DO NOT UPDATE any iOS Device to iOS 8 until your sync station has been updated by I&T staff.
Read more....
       


IT Websites The Web
                                                                                                       Jump Links 




              
ERP Forms  Standards Support Links          Terms            TLC       Training    Transcript
               
                      
            Security      Cell Phones  Property Inventory          TAC  

                                                         

Customers Served